Bug 1430188 - Remove step of installing appliance from generated gdeploy config file
Summary: Remove step of installing appliance from generated gdeploy config file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.13
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.15
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-03-08 01:56 UTC by SATHEESARAN
Modified: 2017-04-21 09:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:41:32 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
rnachimu: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)
Screenshot of rhvm appliance installation in progress (34.43 KB, image/png)
2017-03-08 02:45 UTC, SATHEESARAN
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 73708 master MERGED gdeploy: remove appliance installtion from gdeploy config 2017-03-08 12:44:32 UTC
oVirt gerrit 73768 ovirt-4.1 MERGED gdeploy: remove appliance installtion from gdeploy config 2017-03-08 15:01:25 UTC

Description SATHEESARAN 2017-03-08 01:56:13 UTC
Description of problem:
-----------------------
cockpit-ovirt generated gdeploy config file consists of the step to download and install rhvm-appliance ( ovirt-engine-appliance ). In this case, it has less informative, when appliance is installed with gdeploy and takes long time, which anyone can assume to be 'hung' task.

Especially in test setup it took an hour to download the appliance.

Hosted-engine setup now mandates the presence of appliance and if we fall through that hosted-engine setup to install appliance, its more interactive and shows up the current status/progress in % 

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.13

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Install appliance using gdeploy

Actual results:
---------------
Installing appliance using gdeploy takes more time and less interactive

Expected results:
-----------------
Appliance installation using hosted-engine setup is mandated and its more interactive

Comment 1 SATHEESARAN 2017-03-08 02:45:11 UTC
Created attachment 1261042 [details]
Screenshot of rhvm appliance installation in progress

Comment 2 Sandro Bonazzola 2017-03-08 12:44:00 UTC
We're in blockers only phase for 4.1.1, please consider re-targeting this bug or mark this as blocker if we shouldn't release 4.1.1 without this issue fixed.

Comment 3 SATHEESARAN 2017-03-20 06:39:28 UTC
Tested with cockpit-ovirt-dashboard-0.10.7-0.0.15

appliance installation step is removed from the generated gdeploy config file


Note You need to log in before you can comment on or make changes to this bug.